-- Author: Lionel Leeser
-- Date: 14.08.20

GAME_VERSION = "Alpha 0.1"

function love.conf(t)
    t.identity = "Cursed Cry"
    t.appendidentity = false
    t.version = "11.3"
    t.console = true

    t.window.title = t.identity .. " | " .. GAME_VERSION
    --t.window.icon = "assets/sprites/UI/Icon.png"
    t.window.width = 1280
    t.window.height = 768
    t.window.resizable = false
    t.window.display = 1
    t.window.vsync = 0
    t.window.highdpi = true
    t.window.msaa = 0

    t.modules.audio = true             -- Enable the audio module (boolean)
    t.modules.event = true             -- Enable the event module (boolean)
    t.modules.graphics = true          -- Enable the graphics module (boolean)
    t.modules.image = true             -- Enable the image module (boolean)
    t.modules.joystick = true          -- Enable the joystick module (boolean)
    t.modules.keyboard = true          -- Enable the keyboard module (boolean)
    t.modules.math = true              -- Enable the math module (boolean)
    t.modules.mouse = true             -- Enable the mouse module (boolean)
    t.modules.physics = false           -- Enable the physics module (boolean)
    t.modules.sound = true             -- Enable the sound module (boolean)
    t.modules.system = true            -- Enable the system module (boolean)
    t.modules.timer = true             -- Enable the timer module (boolean)
    t.modules.window = true            -- Enable the window module (boolean)
    t.modules.thread = true            -- Enable the thread module (boolean)
end
